#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,l;
    cin>>n>>l;
    long long a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    int br=-2;
    for(int i=0;i<n;i++)
    {
        if(a[i]<=l)
        {
            br=i;
            break;
        }
    }
    cout<<br+1<<endl;
}